Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface RootElementType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RootElementTypeImpl

    public interface RootElementType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Root Element Type'.

The following features are supported:

- `Submit Objects Request`
- `Update Objects Request`
- `Approve Objects Request`
- `Deprecate Objects Request`
- `Remove Objects Request`
- `Adhoc Query Request`
- `Get Content Request`
- `Add Slots Request`
- `Remove Slots Request`
- `Registry Response`
- `Registry Profile`

See Also:
  `RegistryPackage.getRootElementType()`

Method Summary
`AddSlotsRequestType` | `getAddSlotsRequest()` Returns the value of the 'Add Slots Request' containment reference.
`AdhocQueryRequestType` | `getAdhocQueryRequest()` Returns the value of the 'Adhoc Query Request' containment reference.
`ApproveObjectsRequestType` | `getApproveObjectsRequest()` Returns the value of the 'Approve Objects Request' containment reference.
`DeprecateObjectsRequestType` | `getDeprecateObjectsRequest()` Returns the value of the 'Deprecate Objects Request' containment reference.
`GetContentRequestType` | `getGetContentRequest()` Returns the value of the 'Get Content Request' containment reference.
`RegistryProfileType` | `getRegistryProfile()` Returns the value of the 'Registry Profile' containment reference.
`RegistryResponseType` | `getRegistryResponse()` Returns the value of the 'Registry Response' containment reference.
`RemoveObjectsRequestType` | `getRemoveObjectsRequest()` Returns the value of the 'Remove Objects Request' containment reference.
`RemoveSlotsRequestType` | `getRemoveSlotsRequest()` Returns the value of the 'Remove Slots Request' containment reference.
`SubmitObjectsRequestType` | `getSubmitObjectsRequest()` Returns the value of the 'Submit Objects Request' containment reference.
`UpdateObjectsRequestType` | `getUpdateObjectsRequest()` Returns the value of the 'Update Objects Request' containment reference.
`void` | `setAddSlotsRequest(AddSlotsRequestType value)` Sets the value of the '`Add Slots Request`' containment reference.
`void` | `setAdhocQueryRequest(AdhocQueryRequestType value)` Sets the value of the '`Adhoc Query Request`' containment reference.
`void` | `setApproveObjectsRequest(ApproveObjectsRequestType value)` Sets the value of the '`Approve Objects Request`' containment reference.
`void` | `setDeprecateObjectsRequest(DeprecateObjectsRequestType value)` Sets the value of the '`Deprecate Objects Request`' containment reference.
`void` | `setGetContentRequest(GetContentRequestType value)` Sets the value of the '`Get Content Request`' containment reference.
`void` | `setRegistryProfile(RegistryProfileType value)` Sets the value of the '`Registry Profile`' containment reference.
`void` | `setRegistryResponse(RegistryResponseType value)` Sets the value of the '`Registry Response`' containment reference.
`void` | `setRemoveObjectsRequest(RemoveObjectsRequestType value)` Sets the value of the '`Remove Objects Request`' containment reference.
`void` | `setRemoveSlotsRequest(RemoveSlotsRequestType value)` Sets the value of the '`Remove Slots Request`' containment reference.
`void` | `setSubmitObjectsRequest(SubmitObjectsRequestType value)` Sets the value of the '`Submit Objects Request`' containment reference.
`void` | `setUpdateObjectsRequest(UpdateObjectsRequestType value)` Sets the value of the '`Update Objects Request`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSubmitObjectsRequest

    SubmitObjectsRequestType getSubmitObjectsRequest()

  Returns the value of the 'Submit Objects Request' containment reference.

  If the meaning of the 'Submit Objects Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Submit Objects Request' containment reference.
  See Also:
    `setSubmitObjectsRequest(SubmitObjectsRequestType)`, `RegistryPackage.getRootElementType_SubmitObjectsRequest()`

### setSubmitObjectsRequest

    void setSubmitObjectsRequest(SubmitObjectsRequestType value)

  Sets the value of the '`Submit Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Submit Objects Request' containment reference.
  See Also:
    `getSubmitObjectsRequest()`

### getUpdateObjectsRequest

    UpdateObjectsRequestType getUpdateObjectsRequest()

  Returns the value of the 'Update Objects Request' containment reference.

  If the meaning of the 'Update Objects Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Objects Request' containment reference.
  See Also:
    `setUpdateObjectsRequest(UpdateObjectsRequestType)`, `RegistryPackage.getRootElementType_UpdateObjectsRequest()`

### setUpdateObjectsRequest

    void setUpdateObjectsRequest(UpdateObjectsRequestType value)

  Sets the value of the '`Update Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Update Objects Request' containment reference.
  See Also:
    `getUpdateObjectsRequest()`

### getApproveObjectsRequest

    ApproveObjectsRequestType getApproveObjectsRequest()

  Returns the value of the 'Approve Objects Request' containment reference.

  If the meaning of the 'Approve Objects Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Approve Objects Request' containment reference.
  See Also:
    `setApproveObjectsRequest(ApproveObjectsRequestType)`, `RegistryPackage.getRootElementType_ApproveObjectsRequest()`

### setApproveObjectsRequest

    void setApproveObjectsRequest(ApproveObjectsRequestType value)

  Sets the value of the '`Approve Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Approve Objects Request' containment reference.
  See Also:
    `getApproveObjectsRequest()`

### getDeprecateObjectsRequest

    DeprecateObjectsRequestType getDeprecateObjectsRequest()

  Returns the value of the 'Deprecate Objects Request' containment reference.

  If the meaning of the 'Deprecate Objects Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `setDeprecateObjectsRequest(DeprecateObjectsRequestType)`, `RegistryPackage.getRootElementType_DeprecateObjectsRequest()`

### setDeprecateObjectsRequest

    void setDeprecateObjectsRequest(DeprecateObjectsRequestType value)

  Sets the value of the '`Deprecate Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Deprecate Objects Request' containment reference.
  See Also:
    `getDeprecateObjectsRequest()`

### getRemoveObjectsRequest

    RemoveObjectsRequestType getRemoveObjectsRequest()

  Returns the value of the 'Remove Objects Request' containment reference.

  If the meaning of the 'Remove Objects Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Remove Objects Request' containment reference.
  See Also:
    `setRemoveObjectsRequest(RemoveObjectsRequestType)`, `RegistryPackage.getRootElementType_RemoveObjectsRequest()`

### setRemoveObjectsRequest

    void setRemoveObjectsRequest(RemoveObjectsRequestType value)

  Sets the value of the '`Remove Objects Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Remove Objects Request' containment reference.
  See Also:
    `getRemoveObjectsRequest()`

### getAdhocQueryRequest

    AdhocQueryRequestType getAdhocQueryRequest()

  Returns the value of the 'Adhoc Query Request' containment reference.

  If the meaning of the 'Adhoc Query Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Adhoc Query Request' containment reference.
  See Also:
    `setAdhocQueryRequest(AdhocQueryRequestType)`, `RegistryPackage.getRootElementType_AdhocQueryRequest()`

### setAdhocQueryRequest

    void setAdhocQueryRequest(AdhocQueryRequestType value)

  Sets the value of the '`Adhoc Query Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Adhoc Query Request' containment reference.
  See Also:
    `getAdhocQueryRequest()`

### getGetContentRequest

    GetContentRequestType getGetContentRequest()

  Returns the value of the 'Get Content Request' containment reference.

  If the meaning of the 'Get Content Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Get Content Request' containment reference.
  See Also:
    `setGetContentRequest(GetContentRequestType)`, `RegistryPackage.getRootElementType_GetContentRequest()`

### setGetContentRequest

    void setGetContentRequest(GetContentRequestType value)

  Sets the value of the '`Get Content Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Get Content Request' containment reference.
  See Also:
    `getGetContentRequest()`

### getAddSlotsRequest

    AddSlotsRequestType getAddSlotsRequest()

  Returns the value of the 'Add Slots Request' containment reference.

  If the meaning of the 'Add Slots Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Add Slots Request' containment reference.
  See Also:
    `setAddSlotsRequest(AddSlotsRequestType)`, `RegistryPackage.getRootElementType_AddSlotsRequest()`

### setAddSlotsRequest

    void setAddSlotsRequest(AddSlotsRequestType value)

  Sets the value of the '`Add Slots Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Add Slots Request' containment reference.
  See Also:
    `getAddSlotsRequest()`

### getRemoveSlotsRequest

    RemoveSlotsRequestType getRemoveSlotsRequest()

  Returns the value of the 'Remove Slots Request' containment reference.

  If the meaning of the 'Remove Slots Request' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Remove Slots Request' containment reference.
  See Also:
    `setRemoveSlotsRequest(RemoveSlotsRequestType)`, `RegistryPackage.getRootElementType_RemoveSlotsRequest()`

### setRemoveSlotsRequest

    void setRemoveSlotsRequest(RemoveSlotsRequestType value)

  Sets the value of the '`Remove Slots Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Remove Slots Request' containment reference.
  See Also:
    `getRemoveSlotsRequest()`

### getRegistryResponse

    RegistryResponseType getRegistryResponse()

  Returns the value of the 'Registry Response' containment reference.

  If the meaning of the 'Registry Response' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Response' containment reference.
  See Also:
    `setRegistryResponse(RegistryResponseType)`, `RegistryPackage.getRootElementType_RegistryResponse()`

### setRegistryResponse

    void setRegistryResponse(RegistryResponseType value)

  Sets the value of the '`Registry Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Response' containment reference.
  See Also:
    `getRegistryResponse()`

### getRegistryProfile

    RegistryProfileType getRegistryProfile()

  Returns the value of the 'Registry Profile' containment reference.

  If the meaning of the 'Registry Profile' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Profile' containment reference.
  See Also:
    `setRegistryProfile(RegistryProfileType)`, `RegistryPackage.getRootElementType_RegistryProfile()`

### setRegistryProfile

    void setRegistryProfile(RegistryProfileType value)

  Sets the value of the '`Registry Profile`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Profile' containment reference.
  See Also:
    `getRegistryProfile()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD